Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 889 - poor use of NULL in socketbits.h for gc++
Summary: poor use of NULL in socketbits.h for gc++
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-20 14:07 UTC by Stephen J. Friedl
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-02 20:36:21 UTC


Attachments (Terms of Use)

Description Stephen J. Friedl 1999-01-20 14:07:44 UTC
The file /usr/include/socketbits.h has an inline
routine "__cmsg_nxthdr" that includes "return NULL;"
in its body. Under gc++ this produces: "warning: ANSI C++
forbids implicit conversion from `void *' in return"

The warning is only of minor annoyance, but it can be made
to completely go away for all platforms by chaning
"return NULL;" to "return 0;". C and C++ both say that
trying to "assign" an explicit integral constant zero
to any pointer produces the valid NULL pointer.

Comment 1 Preston Brown 1999-03-22 20:22:59 UTC
Cristian, can you make this small fix please? NULL and c++ == bad.

Comment 2 Cristian Gafton 1999-07-02 20:36:59 UTC
Fixed in the new glibc package. Available from rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.